# XQilla Simple API Documentation

# AutoMessageListenerReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoMessageListenerReset (StaticContext *context, MessageListener *listener=0)
| ~AutoMessageListenerReset ()

## Protected Attributes

StaticContext * | context_
MessageListener * | listener_

## Constructor & Destructor Documentation

AutoMessageListenerReset::AutoMessageListenerReset | ( | StaticContext * | context,
|  | MessageListener * | listener = `0` |
| ) |  |  | `[inline]`

References StaticContext::getMessageListener(), and StaticContext::setMessageListener().

AutoMessageListenerReset::~AutoMessageListenerReset | ( |  | ) | `[inline]`

## Member Data Documentation

StaticContext* AutoMessageListenerReset::context_ `[protected]`

MessageListener* AutoMessageListenerReset::listener_ `[protected]`

The documentation for this class was generated from the following file:

- ContextHelpers.hpp